{% extends "dashboard/dashboard_content.html" %}
{% block rightPane %}
    <div class="x_panel">
        <div class="x_title">
            <h2>
                <i class="fa fa-user"></i>
                Approve Reallow Requests
            </h2>
            <div class="clearfix"></div>
        </div>
        <div class="x_content">
            {% if list_of_requests %}
                <div class="row">
                    <form method="POST">{% csrf_token %}
                        <div class="table-responsive">
                            <table class="table table-striped ">
                                <thead>
                                <tr>
                                    <th>S.No</th>
                                    <th>Staff_name</th>
                                    <th>Course</th>
                                    <th>Date</th>
                                    <th>Hour</th>
                                    <th>Reallow</th>
                                </tr>
                                </thead>
                                <tbody>
                                {% for entries in list_of_requests %}
                                    <tr>
                                        <td>{{ forloop.counter }}</td>
                                        <td>{{ entries.staff_instance }}</td>
                                        <td>{{ entries.course.course_name }}</td>
                                        <td>{{ entries.date }}</td>
                                        <td>{{ entries.hour }}</td>
                                        <td><input type="checkbox" name="selected_requests"
                                                   value="{{ entries.reallow_inst_id }}">
                                        </td>
                                    </tr>
                                {% endfor %}
                                </tbody>
                            </table>
                        </div>
                        <div class="text-center">
                            <div align="center">
                                <input type="submit" class="save btn btn-lg btn-success" name="approve"
                                       value="Re-enable"
                                       id="approve"/>
                            </div>
                        </div>

                    </form>

                </div>
            {% endif %}
        </div>
    </div>
{% endblock %}